> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhook Deliveries



## OpenAPI

````yaml /openapi/mio-openapi.json get /api/v1/teams/{team_id}/hubs/{hub_id}/webhook-endpoints/{endpoint_id}/deliveries
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/teams/{team_id}/hubs/{hub_id}/webhook-endpoints/{endpoint_id}/deliveries:
    get:
      tags:
        - automations
        - webhook-endpoints
      summary: List Webhook Deliveries
      operationId: >-
        automations.get_automations_get_teams_by_team_id_hubs_by_hub_id_webhook_endpoints_by_endpoint_id_deliveries
      parameters:
        - in: path
          name: team_id
          required: true
          schema:
            title: Team Id
            type: string
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
        - in: path
          name: endpoint_id
          required: true
          schema:
            title: Endpoint Id
            type: string
        - in: query
          name: page[after]
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Page[After]
        - in: query
          name: page[size]
          required: false
          schema:
            default: '20'
            title: Page[Size]
            type: string
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/WebhookDeliveryListResponse'
          description: Successful Response
        '400':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Bad request
        '401':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Webhook request error
        '403':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Webhook request error
        '404':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Webhook request error
        '405':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Webhook request error
          headers:
            Allow:
              schema:
                type: string
        '409':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Status conflict
        '415':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Unsupported media type (requires application/vnd.api+json)
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Webhook request error
        '429':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Webhook request error
      security:
        - HTTPBearer: []
components:
  schemas:
    WebhookDeliveryListResponse:
      additionalProperties: false
      properties:
        data:
          items:
            $ref: '#/components/schemas/WebhookDeliveryResource'
          title: Data
          type: array
        links:
          $ref: '#/components/schemas/WebhookHistoryLinks'
        meta:
          $ref: '#/components/schemas/WebhookHistoryMeta'
      required:
        - data
        - meta
        - links
      title: WebhookDeliveryListResponse
      type: object
    JsonApiErrorResponse:
      description: Error JSON:API response.
      properties:
        errors:
          items:
            $ref: '#/components/schemas/JsonApiError'
          title: Errors
          type: array
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - errors
      title: JsonApiErrorResponse
      type: object
    WebhookDeliveryResource:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/WebhookDeliveryAttributes'
        id:
          title: Id
          type: string
        type:
          const: webhook_deliveries
          default: webhook_deliveries
          title: Type
          type: string
      required:
        - id
        - attributes
      title: WebhookDeliveryResource
      type: object
    WebhookHistoryLinks:
      additionalProperties: false
      properties:
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        self:
          title: Self
          type: string
      required:
        - self
        - next
      title: WebhookHistoryLinks
      type: object
    WebhookHistoryMeta:
      additionalProperties: false
      properties:
        page:
          $ref: '#/components/schemas/WebhookHistoryPage'
      required:
        - page
      title: WebhookHistoryMeta
      type: object
    JsonApiError:
      properties:
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        source:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Source
        status:
          title: Status
          type: string
        title:
          title: Title
          type: string
      required:
        - status
        - title
      title: JsonApiError
      type: object
    WebhookDeliveryAttributes:
      additionalProperties: false
      properties:
        attempt_count:
          title: Attempt Count
          type: integer
        completed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Completed At
        created_at:
          format: date-time
          title: Created At
          type: string
        delivered_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Delivered At
        endpoint_id:
          title: Endpoint Id
          type: string
        event_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Id
        event_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Type
        failure_reason:
          anyOf:
            - enum:
                - ssrf_blocked
                - endpoint_missing
                - endpoint_disabled
                - secret_unusable
                - http_3xx
                - http_4xx
                - http_5xx
                - timeout
                - network_error
                - pinning_unavailable
                - retries_exhausted
                - payload_invalid
                - internal_error
              type: string
            - type: 'null'
          title: Failure Reason
        last_attempt_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Attempt At
        next_retry_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Next Retry At
        response_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Response Code
        source:
          enum:
            - subscription
            - automation
          title: Source
          type: string
        status:
          enum:
            - pending
            - delivered
            - failed
          title: Status
          type: string
      required:
        - endpoint_id
        - source
        - event_id
        - event_type
        - status
        - failure_reason
        - response_code
        - attempt_count
        - created_at
        - last_attempt_at
        - delivered_at
        - next_retry_at
        - completed_at
      title: WebhookDeliveryAttributes
      type: object
    WebhookHistoryPage:
      additionalProperties: false
      properties:
        has_more:
          title: Has More
          type: boolean
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        size:
          title: Size
          type: integer
      required:
        - size
        - has_more
        - next_cursor
      title: WebhookHistoryPage
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.